Constructor
new ApiClient() → {ApiClient}
- Source
- Type:
- ApiClient
Methods
AuthenticateByName(username, password) → {dynamic}
Authenticate user by username and password
| Name | Type | Description |
|---|---|---|
username | string | User's username |
password | string | User's password |
- Source
API response with auth token or invalid on error
- Type:
- dynamic
AuthenticateWithQuickConnect(secret) → {dynamic}
Authenticate via Quick Connect
| Name | Type | Description |
|---|---|---|
secret | string | The Quick Connect secret |
- Source
API response or invalid on error
- Type:
- dynamic
ConnectQuickConnect(secret) → {dynamic}
Connect via Quick Connect
| Name | Type | Description |
|---|---|---|
secret | string | The Quick Connect secret |
- Source
API response or invalid on error
- Type:
- dynamic
DeleteItem(itemId) → {dynamic}
Delete an item
| Name | Type | Description |
|---|---|---|
itemId | string | The item ID to delete |
- Source
API response or invalid on error
- Type:
- dynamic
DeleteRating(itemId) → {dynamic}
Delete user rating
| Name | Type | Description |
|---|---|---|
itemId | string | The item ID |
- Source
API response or invalid on error
- Type:
- dynamic
GetAdditionalParts(itemId) → {dynamic}
Get additional parts for a video
| Name | Type | Description |
|---|---|---|
itemId | string | The video item ID |
- Source
API response or invalid on error
- Type:
- dynamic
GetAlbumArtists(paramsopt) → {dynamic}
Get all album artists with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetAlbumInstantMix(id, paramsopt) → {dynamic}
Get album instant mix
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | Album ID | ||
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetArtistByName(name, paramsopt) → {dynamic}
Get artist by name
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
name | string | Artist name | ||
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetArtists(paramsopt) → {dynamic}
Get all artists with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetBrandingConfiguration() → {dynamic}
Get branding configuration
- Source
API response or invalid on error
- Type:
- dynamic
GetByQuery(paramsopt) → {dynamic}
Get items by query (alternative endpoint)
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetConfigurationByName(name) → {dynamic}
Get configuration by name
| Name | Type | Description |
|---|---|---|
name | string | Configuration name |
- Source
API response or invalid on error
- Type:
- dynamic
GetDisplayPreferences(id, paramsopt) → {dynamic}
Get display preferences
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | Preference ID | ||
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetEpisodes(seriesId, paramsopt) → {dynamic}
Get episodes for a TV season with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
seriesId | string | The series ID | ||
params | object | <optional> | {} | Optional query parameters (season number, etc.) |
- Source
API response or invalid on error
- Type:
- dynamic
GetFilters(paramsopt) → {dynamic}
Get filters
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetGenres(paramsopt) → {dynamic}
Get genres
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetImageURL(id, imageType, imageIndexopt, paramsopt) → {dynamic}
Get image URL
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | Item ID | ||
imageType | string | Type of image | ||
imageIndex | integer | <optional> | 0 | Image index |
params | object | <optional> | {} | Optional parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetInstantMix(itemId, paramsopt) → {dynamic}
Get instant mix based on item
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
itemId | string | The item ID | ||
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetIntros(itemId) → {dynamic}
Get intros for an item
| Name | Type | Description |
|---|---|---|
itemId | string | The item ID |
- Source
API response or invalid on error
- Type:
- dynamic
GetItem(itemId, paramsopt) → {dynamic}
Get a single item by ID with automatic image and version field injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
itemId | string | The Jellyfin item ID | ||
params | object | <optional> | {} | Optional query parameters (fields, etc.) |
- Source
API response or invalid on error
- Type:
- dynamic
GetItemRaw(itemId, paramsopt) → {dynamic}
Get item without image parameters - use for playback info only
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
itemId | string | The Jellyfin item ID | ||
params | object | <optional> | {} | Query parameters (passed through as-is) |
- Source
API response or invalid on error
- Type:
- dynamic
GetItemsByQuery(paramsopt) → {dynamic}
Get items by query with automatic image and version field injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters (limit, sortBy, filters, etc.) |
- Source
API response or invalid on error
- Type:
- dynamic
GetItemsByQueryRaw(paramsopt) → {dynamic}
Get items by query without image parameters
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters (passed through as-is) |
- Source
API response or invalid on error
- Type:
- dynamic
GetLatestMedia(paramsopt) → {dynamic}
Get latest media with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetLiveTVChannels(paramsopt) → {dynamic}
Get Live TV channels
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetLocalTrailers(itemId) → {dynamic}
Get local trailers for an item
| Name | Type | Description |
|---|---|---|
itemId | string | The item ID |
- Source
API response or invalid on error
- Type:
- dynamic
GetNextUp(paramsopt) → {dynamic}
Get next up episodes with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetPlaylistItems(playlistId, paramsopt) → {dynamic}
Get playlist items
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
playlistId | string | The playlist ID | ||
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetPublicUsers() → {dynamic}
Get public users
- Source
API response or invalid on error
- Type:
- dynamic
GetResumeItems(paramsopt) → {dynamic}
Get resume items (Continue Watching) with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetSeasons(seriesId, paramsopt) → {dynamic}
Get seasons for a TV series with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
seriesId | string | The series ID | ||
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetSessions(paramsopt) → {dynamic}
Get active sessions
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetSimilarAlbums(id, paramsopt) → {dynamic}
Get similar albums
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | Album ID | ||
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetSimilarArtists(id, paramsopt) → {dynamic}
Get similar artists
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | Artist ID | ||
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetSimilarShows(id, paramsopt) → {dynamic}
Get similar shows with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | Show ID | ||
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetSpecialFeatures(itemId) → {dynamic}
Get special features for an item
| Name | Type | Description |
|---|---|---|
itemId | string | The item ID |
- Source
API response or invalid on error
- Type:
- dynamic
GetStudios(paramsopt) → {dynamic}
Get studios
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetSuggestions(paramsopt) → {dynamic}
Get suggestions with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Optional query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetUpcoming(paramsopt) → {dynamic}
Get upcoming episodes with automatic image injection
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
params | object | <optional> | {} | Query parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetUser(userId) → {dynamic}
Get user by ID
| Name | Type | Description |
|---|---|---|
userId | string | The user ID |
- Source
API response or invalid on error
- Type:
- dynamic
GetUserImageURL(id, imageType, imageIndexopt, paramsopt) → {dynamic}
Get user image URL
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | User ID | ||
imageType | string | Type of image | ||
imageIndex | integer | <optional> | 0 | Image index |
params | object | <optional> | {} | Optional parameters |
- Source
API response or invalid on error
- Type:
- dynamic
GetViews() → {dynamic}
Get user views
- Source
API response or invalid on error
- Type:
- dynamic
HeadImageURLByName(id, imageType, imageIndexopt, paramsopt) → {dynamic}
Get image URL for an item by ID (HEAD request helper)
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | Item ID | ||
imageType | string | Type of image | ||
imageIndex | integer | <optional> | 0 | Image index (default 0) |
params | object | <optional> | {} | Optional parameters |
- Source
API response or invalid on error
- Type:
- dynamic
InitiateQuickConnect() → {dynamic}
Initiate Quick Connect
- Source
API response with secret or invalid on error
- Type:
- dynamic
MarkFavorite(itemId) → {dynamic}
Mark item as favorite
| Name | Type | Description |
|---|---|---|
itemId | string | The item ID |
- Source
API response or invalid on error
- Type:
- dynamic
MarkPlayed(itemId, paramsopt) → {dynamic}
Mark item as played
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
itemId | string | The item ID | ||
params | object | <optional> | {} | Optional parameters (DatePlayed, etc.) |
- Source
API response or invalid on error
- Type:
- dynamic
Playing(params) → {dynamic}
Report playback started
| Name | Type | Description |
|---|---|---|
params | object | Playback parameters |
- Source
API response or invalid on error
- Type:
- dynamic
PostPlaybackInfo(itemId, postData) → {dynamic}
Post playback info (used for starting playback)
| Name | Type | Description |
|---|---|---|
itemId | string | The item ID |
postData | object | Request body data |
- Source
API response or invalid on error
- Type:
- dynamic
PostProgress(params) → {dynamic}
Report playback progress
| Name | Type | Description |
|---|---|---|
params | object | Playback parameters |
- Source
API response or invalid on error
- Type:
- dynamic
PostStopped(params) → {dynamic}
Report playback stopped
| Name | Type | Description |
|---|---|---|
params | object | Playback parameters |
- Source
API response or invalid on error
- Type:
- dynamic
UnmarkFavorite(itemId) → {dynamic}
Unmark item as favorite
| Name | Type | Description |
|---|---|---|
itemId | string | The item ID |
- Source
API response or invalid on error
- Type:
- dynamic
UnmarkPlayed(itemId) → {dynamic}
Mark item as unplayed
| Name | Type | Description |
|---|---|---|
itemId | string | The item ID |
- Source
API response or invalid on error
- Type:
- dynamic
UpdateRating(itemId, paramsopt) → {dynamic}
Update user rating
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
itemId | string | The item ID | ||
params | object | <optional> | {} | Rating parameters |
- Source
API response or invalid on error
- Type:
- dynamic